@REM  Copyright IBM Corp. 2005, 2006
@REM  THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM  All Rights Reserved * Licensed Materials - Property of IBM
@REM  US Government Users Restricted Rights - Use, duplication or disclosure
@REM  restricted by GSA ADP Schedule Contract with IBM Corp.

@SET LOGFILE=%TMP%\extract_JRE.log
@SET ARCH=%PROCESSOR_ARCHITECTURE%
@SET CURRENT_DIR=%~dp0
@ECHO ==== IIP JRE Extractor ==== >> %LOGFILE%
@ECHO %DATE% %TIME% >> %LOGFILE%
@ECHO ARCH=%ARCH% >> %LOGFILE%
@ECHO OFF
setlocal
set CLEANUP="false"
set CONTRIBLOCATION=.
set JRE_DIR=""

:loop
if "%1" == "" goto end
	if "%1" == "-d" (
		set JRE_DIR=%~2
		shift
	)
	if "%1" == "-cleanup" (
		set CLEANUP="true"
	)
	if "%1" == "-contribloc" (
		set CONTRIBLOCATION=%~2
		shift
	)
	shift
	goto loop
:end

@ECHO "JRE_DIR=%JRE_DIR%" >> %LOGFILE%
@ECHO "CONTRIBLOCATION=%CONTRIBLOCATION%" >> %LOGFILE%
@ECHO "OS=Windows" >> %LOGFILE%
@ECHO "ARCH=%ARCH%" >> %LOGFILE%

set JRE_DIR="%JRE_DIR%"
@IF %CLEANUP%=="true" GOTO CLEANUP
mkdir %JRE_DIR%
@IF %ARCH%==x86 GOTO IA32
@IF %ARCH%==AMD64 GOTO AMD64
@GOTO ERROR

:IA32
@ECHO "Using windows\unzipsfx.exe + %CONTRIBLOCATION%\install.windows.ia32.exe" >> %LOGFILE%
copy /b "%CONTRIBLOCATION%\jreextractor\windows\unzipsfx.exe" + "%CONTRIBLOCATION%\XD\install.windows.ia32.exe" "%JRE_DIR%\extractJRE.exe"
pushd %JRE_DIR%
extractJRE.exe >> %LOGFILE%
del extractJRE.exe
@GOTO END

:AMD64
@ECHO "Using windows\unzipsfx.exe + %CONTRIBLOCATION%\install.windows.x86_64.exe"  >> %LOGFILE%
copy /b "%CONTRIBLOCATION%\jreextractor\windows\unzipsfx.exe" + "%CONTRIBLOCATION%\XD\install.windows.x86_64.exe" "%JRE_DIR%\extractJRE.exe"
pushd %JRE_DIR%
extractJRE.exe >> %LOGFILE%
del extractJRE.exe
@GOTO END

:CLEANUP
if %JRE_DIR% neq "" (
	@ECHO "Cleaning up with rmdir /q /s %JRE_DIR%" >> %LOGFILE%
	rmdir /q /s "%JRE_DIR%"
)
@GOTO END

:ERROR
@ECHO "ERROR: Can't determine platform or platform not supported."
@exit 1

:END
@ECHO "DONE." >> %LOGFILE%

